spoonity logo
      spoonity logo
    • Getting Started

      • Introduction
      • Authentication
      • Handling Errors
      • Webhooks
    • Workflows

      • Placing an order
      • Retrieving a list of checked-in users
      • Registering an account
      • Working with user profiles
      • Reloading an account
    • Resources

      • Billing Profile
      • Card
      • Content
      • Country & Region
      • EGift
      • OnScreen
      • Order
      • User
      • Balances & Rewards
      • Transaction History
      • Inbox
      • Spending Rules
    • Sign in

    Message

    A message represents a single instance of a communication sent to a customer.

    The message model

    The message model contains identifying information about the message.

    Properties

    • Name
      id
      Type
      string
      Description

      Unique identifier for the message.

    • Name
      journey_id
      Type
      string or null
      Description

      An optional identifier for the journey responsible for dispatching the message.

    • Name
      campaign_id
      Type
      string or null
      Description

      An optional identifier for the campaign responsible for dispatching the message.

    • Name
      customer_id
      Type
      string
      Description

      Identifier for the customer who received the message.

    • Name
      medium
      Type
      string
      Description

      Enum indicating which medium the message was sent through.

    • Name
      step
      Type
      number
      Description

      Indicates which step of the workflow (journey or campaign) the message was sent through.

    • Name
      sent
      Type
      string
      Description

      Timestamp of when the message was sent.

    • Name
      delivered
      Type
      string or null
      Description

      Timestamp of when the message was delivered.

    • Name
      bounced
      Type
      string or null
      Description

      Timestamp of when the message bounced.

    • Name
      opened
      Type
      string or null
      Description

      Timestamp of when the message was first opened.

    • Name
      clicked
      Type
      string or null
      Description

      Timestamp of when an interactible element inside the message was first clicked.

    • Name
      complained
      Type
      string or null
      Description

      Timestamp of when the customer complained about receiving the message.


    GET/messages

    Retrieve a list of messages

    This endpoint allows you to retrieve a paginated list of messages. By default, this will include the 25 most recent objects, starting with the most recent.

    Query parameters

    • Name
      limit
      Type
      integer
      Description

      The maximum number of entries to include in the response.

    • Name
      page
      Type
      integer
      Description

      An offset to determine which groups of results to return.

    • Name
      query
      Type
      string
      Description

      A search string which can be used to filter results by various criteria (see below).

    Filter parameters

    These attributes can be used to filter the result set returned by the API. They are included as a space-delimited string of key:value pairs.

    • Name
      cu
      Type
      string
      Description

      ID of the customer who received the message.

    • Name
      j
      Type
      string
      Description

      ID of the journey where the message originated.

    • Name
      c
      Type
      string
      Description

      ID of the campaign where the message originated.

    • Name
      m
      Type
      string
      Description

      Medium of the message.

    Request

    GET
    /messages
    curl -G https://api.spoonity.com/messages \
      -H "Authorization: Bearer {token}"
    

    Response

    {
      "items": [
        {
          "id": "mesg_32f9395aa82770bb",
          "journey_id": "jour_6736ab32a7450cbe",
          "campaign_id": null,
          "medium": "EMAIL",
          "step": 3,
          "sent": "2026-02-02T13:48:05.683Z",
          "delivered": "2026-02-02T13:48:05.683Z",
          "bounced": null,
          "opened": null,
          "clicked": null,
          "complained": null,
        }
      ],
      "next": "https://api.spoonity.com/messages?limit=25&page=2",
      "prev": null
    }
    

    Was this page helpful?

    PreviousLine Item
    NextPayment

    © Copyright 2026 Spoonity, Inc. All rights reserved.